Bug 478231 - MIGRATED_FROM_JIRA: java.lang.NullPointerException when search with filter
MIGRATED_FROM_JIRA: java.lang.NullPointerException when search with filter
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:10 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:10:34 EST
This request is made by Zimbra (a mail server) for autocompleting adress book. It used to work well with penrose 1.1.2

Here's the log of the server :
 
hubert@hpdev ~/applications/ldap/penrose-server-1.2.4 $ ./bin/penrose.sh 
[10/08/2007 15:54:55] Starting Penrose Server 1.2.4.
[10/08/2007 15:54:59] Listening to port 1099 (RMI).
[10/08/2007 15:54:59] Listening to port 40888 (RMI Transport).
[10/08/2007 15:54:59] Listening to port 8112 (HTTP).
[10/08/2007 15:54:59] Listening to port 10389 (LDAP).
[10/08/2007 15:54:59] Server is ready.
[10/08/2007 15:55:28] Search "ou=users,dc=fiducial,dc=net" with scope subtree and filter "(uid=h.fongarnand)"
[10/08/2007 15:55:28] Bind "uid=h.fongarnand,ou=users,dc=fiducial,dc=net".
[10/08/2007 15:55:28] Empty RDN.
[10/08/2007 15:55:29] Unbind "uid=h.fongarnand,ou=users,dc=fiducial,dc=net".
[10/08/2007 15:56:09] Search "dc=fiducial,dc=net" with scope subtree and filter "(|(cn=f*)(sn=f*)(gn=f*)(mail=f*))"
[10/08/2007 15:56:09] 
java.lang.NullPointerException
        at org.safehaus.penrose.adapter.jdbc.SearchFilterBuilder.convert(SearchFilterBuilder.java:214)
        at org.safehaus.penrose.adapter.jdbc.SearchFilterBuilder.convert(SearchFilterBuilder.java:119)
        at org.safehaus.penrose.adapter.jdbc.SearchFilterBuilder.convert(SearchFilterBuilder.java:152)
        at org.safehaus.penrose.adapter.jdbc.SearchFilterBuilder.convert(SearchFilterBuilder.java:113)
        at org.safehaus.penrose.adapter.jdbc.SearchFilterBuilder.append(SearchFilterBuilder.java:299)
        at org.safehaus.penrose.adapter.jdbc.SearchRequestBuilder.generate(SearchRequestBuilder.java:262)
        at org.safehaus.penrose.adapter.jdbc.JDBCAdapter.search(JDBCAdapter.java:904)
        at org.safehaus.penrose.connection.Connection.search(Connection.java:285)
        at org.safehaus.penrose.connector.Connector.search(Connector.java:271)
        at org.safehaus.penrose.engine.basic.BasicEngine.search(BasicEngine.java:743)
        at org.safehaus.penrose.handler.DefaultHandler.performSearch(DefaultHandler.java:311)
        at org.safehaus.penrose.handler.DefaultHandler.search(DefaultHandler.java:157)
        at org.safehaus.penrose.handler.DefaultHandler.searchChildren(DefaultHandler.java:351)
        at org.safehaus.penrose.handler.DefaultHandler.search(DefaultHandler.java:166)
        at org.safehaus.penrose.handler.DefaultHandler.searchChildren(DefaultHandler.java:351)
        at org.safehaus.penrose.handler.DefaultHandler.search(DefaultHandler.java:166)
        at org.safehaus.penrose.handler.Handler.search(Handler.java:278)
        at org.safehaus.penrose.handler.HandlerManager$1.run(HandlerManager.java:501)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:885)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907)
        at java.lang.Thread.run(Thread.java:619)


I've made a little patch (may be it's wrong...) as a workaround :

Index: core/src/java/org/safehaus/penrose/adapter/jdbc/SearchFilterBuilder.java
===================================================================
--- core/src/java/org/safehaus/penrose/adapter/jdbc/SearchFilterBuilder.java    (r
Comment 1 Chandrasekar Kannan 2008-12-27 03:10:36 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-261

Note You need to log in before you can comment on or make changes to this bug.